##
##  giflib.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         giflib
Summary:      Graphics Interchange Format Library
URL:          http://sourceforge.net/projects/giflib/
Vendor:       Gershon Elbor, Eric S. Raymond, Toshio Kuratomi
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Graphics
License:      LGPL
Version:      5.2.1
Release:      20190627

#   package options
%option       with_tools  no

#   list of sources
Source0:      http://download.sourceforge.net/giflib/giflib-%{version}.tar.gz
Patch0:       giflib.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    This is a manipulation library and corresponding utilities for the
    popular Graphics Interchange Format (GIF) image format.

%track
    prog giflib = {
        version   = %{version}
        url       = http://sourceforge.net/projects/giflib/files/
        regex     = giflib-(\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS="%{l_cflags -O}" \
        CPPFLAGS="%{l_cppflags}" \
        LDFLAGS="%{l_ldflags}"

%install
    %{l_make} %{l_mflags} install PREFIX=$RPM_BUILD_ROOT%{l_prefix}
%if "%{with_tools}" != "yes"
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/bin
%endif
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

